// PushBullet test
pb_token = "your token here"

PushAlert('Test Title' , 'Test Body')

function PushAlert(title, body)
{
	Url = 'https://api.pushbullet.com/v2/pushes'
	content = '{"type": "note", "title": "' + title + '", "body": "' + body + '"}'
	header = "Content-Type: application/json\r\n" +
				"Access-Token: " + pb_token + "\r\n\r\n"
	Http.Connect('PB', Url, 'POST', content, header)
}

// Handle published events
function OnCall(msg, event, data)
{
	switch(msg)
	{
		case 'HTTPDATA':
			Pm.Echo( ' PB response(' + data.length + '): ' + data)
			Json = !(/[^,:{}\[\]0-9.\-+Eaeflnr-u \n\r\t]/.test(
				data.replace(/"(\\.|[^"\\])*"/g, ''))) && eval('(' + data + ')')
			Pm.Echo( Json.active )
			Pm.Echo( Json.type )
			Pm.Echo( Json.direction )
			Pm.Echo( Json.sender_email )
			Pm.Echo( Json.sender_name )
			break
		case 'HTTPCLOSE':
			break
		case 'HTTPSTATUS':
			Pm.Echo( 'PB Error Code: ' + event )
			break
		default:
			Pm.Echo('PB Unrecognised ' + msg)
			break
	}
}
 