Gdi.Clear( Gdi.Argb(255, 0,0,0) )

GradientBar(30, 50, 80, 40, Gdi.Argb(255, 0, 50, 0), Gdi.Argb(255, 0, 255, 0))

function GradientBar(x, y, w, h, topColor, centerColor)
{
    bottomColor = topColor // duplicate top color as bottom

    // make 6 points (top left, top right, right center, right bottom, left bottom, left center)
    PointArray = new Array()
    PointArray[0] = x;      PointArray[1] = y
    PointArray[2] = x+w; PointArray[3] = y
    PointArray[4] = x+w; PointArray[5] = y+(h/2)
    PointArray[6] = x+w; PointArray[7] = y+h
    PointArray[8] = x;      PointArray[9] = y+h
    PointArray[10] = x;    PointArray[11] = y+(h/2)

    // Now assign colors (4 corners = topColor/bottomColor, 3 centers = centerColor)
    ArgbArray = new Array()
    ArgbArray[0] = topColor
    ArgbArray[1] = topColor
    ArgbArray[2] = centerColor
    ArgbArray[3] = bottomColor
    ArgbArray[4] = bottomColor
    ArgbArray[5] = centerColor

    // Draw it
    Gdi.PathBrush( PointArray, centerColor, ArgbArray )
    Gdi.FillRectangle( x,  y, w, h )
}
 